package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgDsAlm;

/**
 * 对射报警相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgDsDao {

	/******** 对射报警状态 ********/
	public List<PgDsAlm> findAllSbjz();
	public PgDsAlm findSbjzById(Integer id);
	
	public List<PgDsAlm> findSbjzByDevice(Integer deviceid);
	public List<PgDsAlm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgDsAlm hsalm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
